Mail::Field::Date(3)

NAME
Mail::Field::Date - a date header field

INHERITANCE
 Mail::Field::Date
   is a Mail::Field

SYNOPSIS
  use HTTP::Date 'time2iso';
  my $field = Mail::Field->new(Date => time2iso());

DESCRIPTION
Represents one "Date" header field.

Extends "DESCRIPTION" in Mail::Field.

METHODS
Extends "METHODS" in Mail::Field.

  Constructors
Extends "Constructors" in Mail::Field.

Mail::Field::Date->combine($fields)
    Inherited, see "Constructors" in Mail::Field

Mail::Field::Date->extract( $tag, $head [, $index ] )
    Inherited, see "Constructors" in Mail::Field

Mail::Field::Date->new( $tag [, STRING | %options] )
    Inherited, see "Constructors" in Mail::Field

  "Fake" constructors
Extends ""Fake" constructors" in Mail::Field.

$obj->create(%options)
    Inherited, see ""Fake" constructors" in Mail::Field

$obj->parse()
    Inherited, see ""Fake" constructors" in Mail::Field

  Accessors
Extends "Accessors" in Mail::Field.

$obj->set(%options)
     -Option --Default
      Time     undef
      TimeStr  undef

    Time => SECONDS
    TimeStr => STRING
        A string acceptable to Date::Parse.

$obj->stringify()
    Inherited, see "Accessors" in Mail::Field

$obj->tag()
Mail::Field::Date->tag()
    Inherited, see "Accessors" in Mail::Field

  Smart accessors
Extends "Smart accessors" in Mail::Field.

$obj->text( [STRING] )
    Inherited, see "Smart accessors" in Mail::Field

$obj->time( [$time] )
    Query (or change) the $time (as stored in the field) in seconds.

DETAILS
Extends "DETAILS" in Mail::Field.

DIAGNOSTICS

Error: Undefined subroutine <method> called
    Mail::Field objects use autoloading to compile new functionality. Apparently, the method called is not implemented for the specific class of the field object.

SEE ALSO
This module is part of the MailTools distribution, http://perl.overmeer.net/mailtools/.

AUTHORS
The MailTools bundle was developed by Graham Barr. Later, Mark Overmeer took over maintenance without commitment to further development.

Mail::Cap by Gisle Aas <aas@oslonett.no>. Mail::Field::AddrList by Peter Orbaek <poe@cit.dk>. Mail::Mailer and Mail::Send by Tim Bunce <Tim.Bunce@ig.co.uk>. For other contributors see ChangeLog.

LICENSE
Copyrights 1995-2000 Graham Barr <gbarr@pobox.com> and 2001-2024 Mark Overmeer <perl@overmeer.net>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://www.perl.com/perl/misc/Artistic.html